import { NumberController } from '@lightweightform/core';
import { FieldComponentCommon } from '../create-field-component';
declare const NumberComponent_base: typeof NumberController & (new (...args: any[]) => FieldComponentCommon);
export declare class NumberComponent extends NumberComponent_base implements FieldComponentCommon {
    scale: number;
    leadingZeroes: number;
    representsInteger: boolean;
    prefix: string;
    suffix: string;
    decimalSeparator: string;
    thousandsSeparator: string;
    protected _isEditing: boolean;
    readonly isEditing: boolean;
    _onFocus(evt: any): void;
    _onBlur(evt: any): void;
    formatValueForDisplay(value: number | null): string;
    formatValueForEdit(value: number | null): string;
    protected _getEditCaretPosition(formattedValue: string, caret: number): number;
}
