import { SelectSingleController, SelectSingleNumberController } from '@lightweightform/core';
import { Constructor, FieldComponentCommon } from '../create-field-component';
export interface RadioComponentCommon {
    displayInline: boolean;
    noOptionsText: string;
}
export declare function GenericRadioComponent<C extends Constructor<{}>>(radioControllerConstructor: C): C & Constructor<RadioComponentCommon>;
declare const RadioComponent_base: typeof SelectSingleController & Constructor<RadioComponentCommon> & Constructor<FieldComponentCommon>;
export declare class RadioComponent extends RadioComponent_base implements FieldComponentCommon, RadioComponentCommon {
    _onRadioChange(event: any): void;
}
declare const RadioNumberComponent_base: typeof SelectSingleNumberController & Constructor<RadioComponentCommon> & Constructor<FieldComponentCommon>;
export declare class RadioNumberComponent extends RadioNumberComponent_base implements FieldComponentCommon, RadioComponentCommon {
    _onRadioChange(event: any): void;
}
