import { RouterService } from '@lightweightform/core';
export interface Action {
    name: string;
    style?: string;
    icon?: string;
    callback: () => void;
}
export declare class TopBarComponent {
    protected _routerService: RouterService;
    private _actions;
    constructor(_routerService: RouterService);
    readonly rootUrl: string;
    readonly actions: Action[];
}
