import { RouterService, StorageService } from '@lightweightform/core';
import { Identifier, Storage } from '@lightweightform/storage';
export declare class TreeEntryComponent {
    protected _routerService: RouterService;
    protected _storageService: StorageService;
    path: string;
    constructor(_routerService: RouterService, _storageService: StorageService);
    readonly storage: Storage;
    readonly isForm: boolean;
    readonly isFormList: boolean;
    readonly addFormText: string;
    pushForm(): void;
    readonly childrenIds: Identifier[];
    readonly nullChildrenIds: Identifier[];
    childPath(id: Identifier): string;
    childUrl(id: Identifier): string;
    childIsForm(id: Identifier): boolean;
    childIsFormList(id: Identifier): boolean;
    childLabel(id: Identifier): string;
    initializeChild(id: string): void;
    childShouldShow(id: Identifier): boolean;
    childShouldShowValid(id: Identifier): boolean;
    childIsActive(id: Identifier): boolean;
    childHasActiveSubForm(id: Identifier): boolean;
    childSubFormsShouldShow(id: Identifier): boolean;
    childHasSubForms(id: Identifier): boolean;
}
