import { RouterService, ToggleableController } from '@lightweightform/core';
import { ValidationError } from '@lightweightform/storage';
import { ValidationMessagesService } from '../../services/validation-messages.service';
export declare class ValidationPanelComponent extends ToggleableController {
    private _routerService;
    validationMessagesService: ValidationMessagesService;
    private _errors;
    private _currentPage;
    constructor(_routerService: RouterService, validationMessagesService: ValidationMessagesService);
    readonly currentPath: string;
    readonly hasNext: boolean;
    next(): void;
    readonly hasPrevious: boolean;
    previous(): void;
    readonly errors: ValidationError[];
    private readonly _pages;
}
